### Class

# GUPnPAV DIDLLiteWriter

#### Description [src]

    class GUPnPAV.DIDLLiteWriter : GObject.Object
    {
      /* No available fields */
    }

DIDL-Lite fragment writer

`GUPnPDIDLLiteWriter` is a helper class for writing DIDL-Lite fragments.

#### Ancestors

- GObject

#### Constructors

###### gupnp_didl_lite_writer_new

language parameter.

#### Instance methods

###### gupnp_didl_lite_writer_add_container

Creates a new container, attaches it to `writer` and returns it.

###### gupnp_didl_lite_writer_add_descriptor

Creates a new descriptor, attaches it to `object` and returns it.

###### gupnp_didl_lite_writer_add_item

Creates a new item, attaches it to `writer` and returns it.

###### gupnp_didl_lite_writer_filter

Clears the DIDL-Lite XML document of the properties not specified in the `filter`. The passed filter string would typically come from the ‘Filter’ argument of Browse or Search actions from a ContentDirectory control point. Please refer to Section 2.3.15 of UPnP AV ContentDirectory version 3 specification for details on this string.

###### gupnp_didl_lite_writer_get_language

Get the language the DIDL-Lite fragment is in.

###### gupnp_didl_lite_writer_get_string

Creates a string representation of the DIDL-Lite XML document.

###### gupnp_didl_lite_writer_get_xml_node

Get the pointer to root node in XML document.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.DIDLLiteWriter:language

The language the DIDL-Lite fragment is in.

###### GUPnPAV.DIDLLiteWriter:xml-node

The pointer to root node in XML document.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVDIDLLiteWriterClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.